0 Пользователей и 1 Гость просматривают эту тему.
  • 6 Ответов
  • 278 Просмотров
*

mak200

  • Захожу иногда
  • 68
  • 0 / 2
Поднимаю версию PHP 5.4 -> 7.0
И Joomla (3.9.1) валится с ошибкой:

"Error: Failed to start application: Could not connect to MySQL server.
Warning: session_write_close(): Failed to write session data (user). Please verify that the current setting of session.save_path is correct (2;/tmp) in /.../www/libraries/joomla/session/handler/native.php on line 194"

На 5.4 нормально работает. Странно как-то.
*

draff

  • Живу я здесь
  • 3919
  • 262 / 7
  • Ищу работу
Re: Поднимаю версию PHP 5.4 -> 7.0 с ошибкой
« Ответ #1 : 19.03.2019, 17:28:48 »
Нет подключения к базе данных.Проверьте и права юзера БД.
*

xpank

  • Захожу иногда
  • 184
  • 20 / 0
Re: Поднимаю версию PHP 5.4 -> 7.0 с ошибкой
« Ответ #2 : 20.03.2019, 11:34:00 »
Попробуй в configuration.php посомотреть параметр:
public $dbtype = 'mysqli'; // если будет MySQL то попробуй на mysqli сменить.
*

mak200

  • Захожу иногда
  • 68
  • 0 / 2
права юзера БД

Права пока не проверил. Написал в хостинг.

mysqli

mysqli не помогло.

Ситуация интересная: ^-^

Если PHP версии 5.6, то все работает нормально

Если PHP версии 7.0, то выдает ошибку:

Цитировать
Error: Failed to start application: Could not connect to MySQL server.
Warning: session_write_close(): Failed to write session data (user). Please verify that the current setting of session.save_path is correct (2;/tmp) in /.../www/libraries/joomla/session/handler/native.php on line 194

Если PHP версии 7.2, то выдает ошибку:

Цитировать
Warning: session_start(): Failed to read session data: user (path: 2;/tmp) in /.../www/libraries/joomla/session/handler/native.php on line 260
Error: Failed to start application: Failed to start the session
*

draff

  • Живу я здесь
  • 3919
  • 262 / 7
  • Ищу работу
Re: Поднимаю версию PHP 5.4 -> 7.0 с ошибкой
« Ответ #4 : 21.03.2019, 11:39:07 »
Еще как вариант проверки- попробуйте лайт версию phpmyadmin- adminer.php .
*

wishlight

  • Живу я здесь
  • 4454
  • 267 / 1
  • 300 руб очень быстрый хостинг в ЕС
Re: Поднимаю версию PHP 5.4 -> 7.0 с ошибкой
« Ответ #5 : 21.03.2019, 11:49:34 »
Возможно ваш хостер плоховато настроил php. Вообще чистую Joomla реально поставить на эти версии php?
*

mak200

  • Захожу иногда
  • 68
  • 0 / 2
Re: Поднимаю версию PHP 5.4 -> 7.0 с ошибкой
« Ответ #6 : 21.03.2019, 15:56:50 »
Проблема решена.
Надо было в файле configuration.php  указать порт.
public $host = 'адрес_бд:64000';
Всем спасибо за участие!
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Не получается обновить с 3.8.12 на версию выше

Автор tmpnikl

Ответов: 11
Просмотров: 440
Последний ответ 19.12.2018, 10:43:27
от tmpnikl
Страницы с ошибкой типа /function.require

Автор Vasiliy111

Ответов: 0
Просмотров: 159
Последний ответ 22.11.2018, 10:08:53
от Vasiliy111
Переход на версию PHP 7

Автор tmpnikl

Ответов: 2
Просмотров: 632
Последний ответ 15.10.2018, 12:57:15
от tmpnikl
Переход на версию PHP 7.х

Автор Андрей Нестеров

Ответов: 4
Просмотров: 857
Последний ответ 11.10.2018, 14:22:27
от effrit
Перенес сайт на новый хостинг и домен, но старую версию. Как обновить до новой?

Автор generator911

Ответов: 3
Просмотров: 318
Последний ответ 20.06.2018, 17:55:00
от generator911